Index: squid/src/snmp_core.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/snmp_core.c,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.3.2.1
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.3.2.1
--- squid/src/snmp_core.c	15 Jul 2001 08:49:37 -0000	1.1.1.3.4.1.2.3
+++ squid/src/snmp_core.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.3.2.1
@@ -347,41 +646,25 @@
     debug(49, 5) ("snmpConnectionOpen: Called\n");
     if ((port = Config.Port.snmp) > (u_short) 0) {
 	enter_suid();
-	theInSnmpConnection = comm_open(SOCK_DGRAM,
-#ifdef _SQUID_MSWIN_
-	    IPPROTO_UDP,
-#else
-	    0,
-#endif
-	    Config.Addrs.snmp_incoming,
-	    port,
-	    COMM_NONBLOCKING,
-	    "SNMP Port");
+	theInSnmpConnection = comm_open(SOCK_DGRAM, 0,
+	    Config.Addrs.snmp_incoming, port, COMM_NONBLOCKING, "SNMP Port");
 	leave_suid();
 	if (theInSnmpConnection < 0)
 	    fatal("Cannot open snmp Port");
-	commSetSelect(theInSnmpConnection, COMM_SELECT_READ, snmpHandleUdp, NULL, 0);
-	debug(1, 1) ("Accepting SNMP messages on port %d, FD %d.\n",
-	    (int) port, theInSnmpConnection);
+	commSetSelect(theInSnmpConnection, COMM_SELECT_READ, snmpHandleUdp,
+	    NULL, 0);
+	debug(1, 1) ("Accepting SNMP messages on port %d, FD %d.\n", (int) port,
+	    theInSnmpConnection);
 	if (Config.Addrs.snmp_outgoing.s_addr != no_addr.s_addr) {
 	    enter_suid();
-	    theOutSnmpConnection = comm_open(SOCK_DGRAM,
-#ifdef _SQUID_MSWIN_
-		IPPROTO_UDP,
-#else
-		0,
-#endif
-		Config.Addrs.snmp_outgoing,
-		port,
-		COMM_NONBLOCKING,
+	    theOutSnmpConnection = comm_open(SOCK_DGRAM, 0,
+		Config.Addrs.snmp_outgoing, port, COMM_NONBLOCKING,
 		"SNMP Port");
 	    leave_suid();
 	    if (theOutSnmpConnection < 0)
 		fatal("Cannot open Outgoing SNMP Port");
 	    commSetSelect(theOutSnmpConnection,
-		COMM_SELECT_READ,
-		snmpHandleUdp,
-		NULL, 0);
+		COMM_SELECT_READ, snmpHandleUdp, NULL, 0);
 	    debug(1, 1) ("Outgoing SNMP messages on port %d, FD %d.\n",
 		(int) port, theOutSnmpConnection);
 	    fd_note(theOutSnmpConnection, "Outgoing SNMP socket");
@@ -392,8 +675,7 @@
 	memset(&theOutSNMPAddr, '\0', sizeof(struct in_addr));
 	len = sizeof(struct sockaddr_in);
 	memset(&xaddr, '\0', len);
-	x = getsockname(theOutSnmpConnection,
-	    (struct sockaddr *) &xaddr, &len);
+	x = getsockname(theOutSnmpConnection, (struct sockaddr *) &xaddr, &len);
 	if (x < 0)
 	    debug(51, 1) ("theOutSnmpConnection FD %d: getsockname: %s\n",
 		theOutSnmpConnection, xstrerror());
@@ -416,7 +698,8 @@
      * and 'out' sockets might be just one FD.  This prevents this
      * function from executing repeatedly.  When we are really ready to
      * exit or restart, main will comm_close the 'out' descriptor.
-     */ theInSnmpConnection = -1;
+     */
+    theInSnmpConnection = -1;
     /*
      * Normally we only write to the outgoing SNMP socket, but we
      * also have a read handler there to catch messages sent to that
@@ -463,18 +746,12 @@
     Counter.syscalls.sock.recvfroms++;
 
     len = recvfrom(sock,
-	buf,
-	SNMP_REQUEST_SIZE,
-	0,
-	(struct sockaddr *) &from,
-	&from_len);
+	buf, SNMP_REQUEST_SIZE, 0, (struct sockaddr *) &from, &from_len);
 
     if (len > 0) {
 	buf[len] = '\0';
 	debug(49, 3) ("snmpHandleUdp: FD %d: received %d bytes from %s.\n",
-	    sock,
-	    len,
-	    inet_ntoa(from.sin_addr));
+	    sock, len, inet_ntoa(from.sin_addr));
 
 	snmp_rq = xcalloc(1, sizeof(snmp_request_t));
 	snmp_rq->buf = (u_char *) buf;
@@ -544,7 +821,8 @@
 	Session.community = rq->community;
 	Session.community_len = strlen((char *) rq->community);
 	ret = snmp_build(&Session, RespPDU, rq->outbuf, &rq->outlen);
-	sendto(rq->sock, rq->outbuf, rq->outlen, 0, (struct sockaddr *) &rq->from, sizeof(rq->from));
+	sendto(rq->sock, rq->outbuf, rq->outlen, 0,
+	    (struct sockaddr *) &rq->from, sizeof(rq->from));
 	snmp_free_pdu(RespPDU);
 	xfree(rq->outbuf);
     }
@@ -576,8 +854,7 @@
 	    RespVars = &(Answer->variables);
 	    /* Loop through all variables */
 	    for (VarPtrP = &(PDU->variables);
-		*VarPtrP;
-		VarPtrP = &((*VarPtrP)->next_variable)) {
+		*VarPtrP; VarPtrP = &((*VarPtrP)->next_variable)) {
 		VarPtr = *VarPtrP;
 
 		index++;
@@ -592,8 +869,7 @@
 		    VarNew = (*ParseFn) (VarPtr, (snint *) & (Answer->errstat));
 
 		/* Was there an error? */
-		if ((Answer->errstat != SNMP_ERR_NOERROR) ||
-		    (VarNew == NULL)) {
+		if ((Answer->errstat != SNMP_ERR_NOERROR) || (VarNew == NULL)) {
 		    Answer->errindex = index;
 		    debug(49, 5) ("snmpAgentParse: successful.\n");
 		    /* Just copy the rest of the variables.  Quickly. */
@@ -611,18 +887,21 @@
 	    oid *NextOidName = NULL;
 	    int NextOidNameLen = 0;
 
-	    ParseFn = snmpTreeNext(PDU->variables->name, PDU->variables->name_length,
+	    ParseFn =
+		snmpTreeNext(PDU->variables->name, PDU->variables->name_length,
 		&(NextOidName), (snint *) & NextOidNameLen);
 
 	    if (ParseFn == NULL) {
 		Answer->errstat = SNMP_ERR_NOSUCHNAME;
 		debug(49, 5) ("snmpAgentResponse: No such oid: ");
-		snmpDebugOid(5, PDU->variables->name, PDU->variables->name_length);
+		snmpDebugOid(5, PDU->variables->name,
+		    PDU->variables->name_length);
 	    } else {
 		xfree(PDU->variables->name);
 		PDU->variables->name = NextOidName;
 		PDU->variables->name_length = NextOidNameLen;
-		VarNew = (*ParseFn) (PDU->variables, (snint *) & Answer->errstat);
+		VarNew =
+		    (*ParseFn) (PDU->variables, (snint *) & Answer->errstat);
 	    }
 
 	    /* Was there an error? */
@@ -657,7 +936,8 @@
     mibTreeEntry = mib_tree_head;
     if (Current[count] == mibTreeEntry->name[count]) {
 	count++;
-	while ((mibTreeEntry) && (count < CurrentLen) && (!mibTreeEntry->parsefunction)) {
+	while ((mibTreeEntry) && (count < CurrentLen)
+	    && (!mibTreeEntry->parsefunction)) {
 	    lastEntry = mibTreeEntry;
 	    mibTreeEntry = snmpTreeEntry(Current[count], count, mibTreeEntry);
 	    count++;
@@ -684,7 +964,8 @@
     mibTreeEntry = mib_tree_head;
     if (Current[count] == mibTreeEntry->name[count]) {
 	count++;
-	while ((mibTreeEntry) && (count < CurrentLen) && (!mibTreeEntry->parsefunction)) {
+	while ((mibTreeEntry) && (count < CurrentLen)
+	    && (!mibTreeEntry->parsefunction)) {
 	    mibTreeEntry = snmpTreeEntry(Current[count], count, mibTreeEntry);
 	    count++;
 	}
@@ -696,24 +977,30 @@
 	return (Fn);
     if ((mibTreeEntry) && (mibTreeEntry->parsefunction)) {
 	*NextLen = CurrentLen;
-	*Next = (*mibTreeEntry->instancefunction) (Current, NextLen, mibTreeEntry, &Fn);
+	*Next =
+	    (*mibTreeEntry->instancefunction) (Current, NextLen, mibTreeEntry,
+	    &Fn);
 	if (*Next)
 	    return (Fn);
     }
     if ((mibTreeEntry) && (mibTreeEntry->parsefunction)) {
 	count--;
-	nextoid = snmpTreeSiblingEntry(Current[count], count, mibTreeEntry->parent);
+	nextoid =
+	    snmpTreeSiblingEntry(Current[count], count, mibTreeEntry->parent);
 	if (nextoid) {
 	    debug(49, 5) ("snmpTreeNext: Next OID found for sibling\n");
 	    mibTreeEntry = nextoid;
 	    count++;
 	} else {
-	    debug(49, 5) ("snmpTreeNext: Attempting to recurse up for next object\n");
+	    debug(49,
+		5) ("snmpTreeNext: Attempting to recurse up for next object\n");
 	    while (!nextoid) {
 		count--;
 		if (mibTreeEntry->parent->parent) {
 		    nextoid = mibTreeEntry->parent;
-		    mibTreeEntry = snmpTreeEntry(Current[count] + 1, count, nextoid->parent);
+		    mibTreeEntry =
+			snmpTreeEntry(Current[count] + 1, count,
+			nextoid->parent);
 		    if (!mibTreeEntry) {
 			mibTreeEntry = nextoid;
 			nextoid = NULL;
@@ -730,13 +1017,16 @@
     }
     if (mibTreeEntry) {
 	*NextLen = mibTreeEntry->len;
-	*Next = (*mibTreeEntry->instancefunction) (mibTreeEntry->name, NextLen, mibTreeEntry, &Fn);
+	*Next =
+	    (*mibTreeEntry->instancefunction) (mibTreeEntry->name, NextLen,
+	    mibTreeEntry, &Fn);
     }
     return (Fn);
 }
 
 static oid *
-static_Inst(oid * name, snint * len, mib_tree_entry * current, oid_ParseFn ** Fn)
+static_Inst(oid * name, snint * len, mib_tree_entry * current,
+    oid_ParseFn ** Fn)
 {
     oid *instance = NULL;
 
@@ -755,8 +1045,7 @@
 {
     oid *instance = NULL;
     int identifier = 0, loop = 0;
-    int index[TIME_INDEX_LEN] =
-    {TIME_INDEX};
+    int index[TIME_INDEX_LEN] = { TIME_INDEX };
 
     if (*len <= current->len) {
 	instance = xmalloc(sizeof(name) * (*len + 1));
@@ -806,7 +1095,8 @@
 	last_addr = xmalloc(strlen(host_addr));
 	strncpy(last_addr, host_addr, strlen(host_addr));
 	current_addr = inet_ntoa(peers->in_addr.sin_addr);
-	while ((peers) && (strncmp(last_addr, current_addr, strlen(current_addr)))) {
+	while ((peers)
+	    && (strncmp(last_addr, current_addr, strlen(current_addr)))) {
 	    if (peers->next) {
 		peers = peers->next;
 		current_addr = inet_ntoa(peers->in_addr.sin_addr);
@@ -837,7 +1127,8 @@
 }
 
 static oid *
-client_Inst(oid * name, snint * len, mib_tree_entry * current, oid_ParseFn ** Fn)
+client_Inst(oid * name, snint * len, mib_tree_entry * current,
+    oid_ParseFn ** Fn)
 {
     oid *instance = NULL;
     u_char *cp = NULL;
@@ -927,7 +1218,8 @@
  */
 static mib_tree_entry *
 #if STDC_HEADERS
-snmpAddNode(oid * name, int len, oid_ParseFn * parsefunction, instance_Fn * instancefunction, int children,...)
+snmpAddNode(oid * name, int len, oid_ParseFn * parsefunction,
+    instance_Fn * instancefunction, int children, ...)
 #else
 snmpAddNode(va_alist)
      va_dcl
@@ -980,7 +1272,7 @@
  */
 static oid *
 #if STDC_HEADERS
-snmpCreateOid(int length,...)
+snmpCreateOid(int length, ...)
 #else
 snmpCreateOid(va_alist)
      va_dcl
@@ -1055,8 +1347,7 @@
     Dest[3] = *cp++;
 }
 
-struct in_addr
-       *
+struct in_addr *
 oid2addr(oid * id)
 {
     static struct in_addr laddr;
Index: squid/src/squid.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/squid.h,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.3.2.1
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.3.2.1
--- squid/src/squid.h	14 Jun 2001 20:36:16 -0000	1.1.1.3.4.1.2.3
+++ squid/src/squid.h	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.3.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: squid.h,v 1.1.1.3.4.1.2.3 2001/06/14 20:36:16 serassio Exp $
+ * $Id: squid.h,v 1.1.1.3.4.1.2.3.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * AUTHOR: Duane Wessels
  *
@@ -197,9 +196,7 @@
 #include <dirent.h>
 #define NAMLEN(dirent) strlen((dirent)->d_name)
 #else /* HAVE_DIRENT_H */
-#ifndef _SQUID_MSWIN_
 #define dirent direct
-#endif
 #define NAMLEN(dirent) (dirent)->d_namlen
 #if HAVE_SYS_NDIR_H
 #include <sys/ndir.h>
@@ -275,7 +272,8 @@
  * source code cleaner, so we don't need lots of #ifdefs in other
  * places
  */
-struct rusage {
+struct rusage
+{
     struct timeval ru_stime;
     struct timeval ru_utime;
     int ru_maxrss;
@@ -327,10 +325,8 @@
 #else
 #define leakAdd(p) p
 #define leakTouch(p) p
-#ifndef _SQUID_MSWIN_
 #define leakFree(p) p
 #endif
-#endif
 
 #if defined(_SQUID_NEXT_) && !defined(S_ISDIR)
 #define S_ISDIR(mode) (((mode) & (_S_IFMT)) == (_S_IFDIR))
@@ -348,10 +344,6 @@
 #define USE_UNLINKD 1
 #endif
 
-#ifdef _SQUID_MSWIN_
-#undef USE_UNLINKD
-#endif
-
 #include "md5.h"
 #include "Stack.h"
 
Index: squid/src/ssl.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ssl.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/ssl.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.1.2.1
+++ squid/src/ssl.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: ssl.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: ssl.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 26    Secure Sockets Layer Proxy
  * AUTHOR: Duane Wessels
@@ -35,24 +34,29 @@
 #define SSL_C
 #include "squid.h"
 
-typedef struct {
+typedef struct
+{
     char *url;
     char *host;			/* either request->host or proxy host */
     u_short port;
     request_t *request;
     FwdServer *servers;
-    struct {
+    struct
+    {
 	int fd;
 	int len;
 	char *buf;
-    } client, server;
+    }
+    client, server;
     size_t *size_ptr;		/* pointer to size in an ConnStateData for logging */
 #if DELAY_POOLS
     delay_id delay_id;
 #endif
-} SslStateData;
+}
+SslStateData;
 
-static const char *const conn_established = "HTTP/1.0 200 Connection established\r\n\r\n";
+static const char *const conn_established =
+    "HTTP/1.0 200 Connection established\r\n\r\n";
 
 static CNCB sslConnectDone;
 static ERCB sslErrorComplete;
@@ -136,17 +140,11 @@
     if (sslState->client.fd > -1) {
 	if (sslState->server.len > 0) {
 	    commSetSelect(sslState->client.fd,
-		COMM_SELECT_WRITE,
-		sslWriteClient,
-		sslState,
-		0);
+		COMM_SELECT_WRITE, sslWriteClient, sslState, 0);
 	}
 	if (sslState->client.len < read_sz) {
 	    commSetSelect(sslState->client.fd,
-		COMM_SELECT_READ,
-		sslReadClient,
-		sslState,
-		Config.Timeout.read);
+		COMM_SELECT_READ, sslReadClient, sslState, Config.Timeout.read);
 	}
     } else if (sslState->client.len == 0) {
 	comm_close(sslState->server.fd);
@@ -154,10 +152,7 @@
     if (sslState->server.fd > -1) {
 	if (sslState->client.len > 0) {
 	    commSetSelect(sslState->server.fd,
-		COMM_SELECT_WRITE,
-		sslWriteServer,
-		sslState,
-		0);
+		COMM_SELECT_WRITE, sslWriteServer, sslState, 0);
 	}
 #if DELAY_POOLS
 	/*
@@ -172,10 +167,7 @@
 	if (sslState->server.len < read_sz) {
 	    /* Have room to read more */
 	    commSetSelect(sslState->server.fd,
-		COMM_SELECT_READ,
-		sslReadServer,
-		sslState,
-		Config.Timeout.read);
+		COMM_SELECT_READ, sslReadServer, sslState, Config.Timeout.read);
 	}
     } else if (sslState->client.fd == -1) {
 	/* client already closed, nothing more to do */
@@ -199,11 +191,7 @@
     read_sz = delayBytesWanted(sslState->delay_id, 1, read_sz);
 #endif
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, sslState->server.buf + sslState->server.len, read_sz);
-#else
     len = read(fd, sslState->server.buf + sslState->server.len, read_sz);
-#endif
     debug(26, 3) ("sslReadServer: FD %d, read   %d bytes\n", fd, len);
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
@@ -236,16 +224,11 @@
     int len;
     assert(fd == sslState->client.fd);
     debug(26, 3) ("sslReadClient: FD %d, reading %d bytes at offset %d\n",
-	fd, SQUID_TCP_SO_RCVBUF - sslState->client.len,
-	sslState->client.len);
+	fd, SQUID_TCP_SO_RCVBUF - sslState->client.len, sslState->client.len);
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, sslState->client.buf + sslState->client.len, SQUID_TCP_SO_RCVBUF - sslState->client.len);
-#else
     len = read(fd,
 	sslState->client.buf + sslState->client.len,
 	SQUID_TCP_SO_RCVBUF - sslState->client.len);
-#endif
     debug(26, 3) ("sslReadClient: FD %d, read   %d bytes\n", fd, len);
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
@@ -254,13 +237,10 @@
     }
     cbdataLock(sslState);
     if (len < 0) {
-#ifdef _SQUID_MSWIN_
-	debug(50, WSAECONNRESET == WSAGetLastError() ? 3 : 1) ("sslReadClient: FD %d: read failure: %s\n",
-	    fd, xstrerror());
-#else
-	debug(50, ECONNRESET == errno ? 3 : 1) ("sslReadClient: FD %d: read failure: %s\n",
-	    fd, xstrerror());
-#endif
+	debug(50,
+	    ECONNRESET ==
+	    errno ? 3 : 1) ("sslReadClient: FD %d: read failure: %s\n", fd,
+	    xstrerror());
 	if (!ignoreErrno(errno))
 	    comm_close(fd);
     } else if (len == 0) {
@@ -281,13 +261,7 @@
     debug(26, 3) ("sslWriteServer: FD %d, %d bytes to write\n",
 	fd, sslState->client.len);
     Counter.syscalls.sock.writes++;
-#ifdef _SQUID_MSWIN_
-    len = send(fd,sslState->client.buf,sslState->client.len);
-#else
-    len = write(fd,
-	sslState->client.buf,
-	sslState->client.len);
-#endif
+    len = write(fd, sslState->client.buf, sslState->client.len);
     debug(26, 3) ("sslWriteServer: FD %d, %d bytes written\n", fd, len);
     if (len > 0) {
 	fd_bytes(fd, len, FD_WRITE);
@@ -298,8 +272,7 @@
 	if (sslState->client.len > 0) {
 	    /* we didn't write the whole thing */
 	    xmemmove(sslState->client.buf,
-		sslState->client.buf + len,
-		sslState->client.len);
+		sslState->client.buf + len, sslState->client.len);
 	}
     }
     cbdataLock(sslState);
@@ -324,13 +297,7 @@
     debug(26, 3) ("sslWriteClient: FD %d, %d bytes to write\n",
 	fd, sslState->server.len);
     Counter.syscalls.sock.writes++;
-#ifdef _SQUID_MSWIN_
-    len = send(fd, sslState->server.buf, sslState->server.len);
-#else
-    len = write(fd, 
-	sslState->server.buf,
-	sslState->server.len);
-#endif
+    len = write(fd, sslState->server.buf, sslState->server.len);
     debug(26, 3) ("sslWriteClient: FD %d, %d bytes written\n", fd, len);
     if (len > 0) {
 	fd_bytes(fd, len, FD_WRITE);
@@ -343,8 +310,7 @@
 	if (sslState->server.len > 0) {
 	    /* we didn't write the whole thing */
 	    xmemmove(sslState->server.buf,
-		sslState->server.buf + len,
-		sslState->server.len);
+		sslState->server.buf + len, sslState->server.len);
 	}
     }
     cbdataLock(sslState);
@@ -421,9 +387,7 @@
 	else
 	    sslConnected(sslState->server.fd, sslState);
 	commSetTimeout(sslState->server.fd,
-	    Config.Timeout.read,
-	    sslTimeout,
-	    sslState);
+	    Config.Timeout.read, sslTimeout, sslState);
 #if DELAY_POOLS
 	commSetDefer(sslState->server.fd, sslDeferServerRead, sslState);
 #endif
@@ -442,16 +406,8 @@
     Counter.server.all.requests++;
     Counter.server.other.requests++;
     /* Create socket. */
-    sock = comm_open(SOCK_STREAM,
-#ifdef _SQUID_MSWIN_
-	IPPROTO_TCP,
-#else
-	0,
-#endif
-	Config.Addrs.tcp_outgoing,
-	0,
-	COMM_NONBLOCKING,
-	url);
+    sock = comm_open(SOCK_STREAM, 0, Config.Addrs.tcp_outgoing, 0,
+	COMM_NONBLOCKING, url);
     if (sock == COMM_ERROR) {
 	debug(26, 4) ("sslStart: Failed because we're out of sockets.\n");
 	err = errorCon(ERR_SOCKET_FAILURE, HTTP_INTERNAL_SERVER_ERROR);
@@ -473,24 +429,13 @@
     sslState->server.fd = sock;
     sslState->server.buf = xmalloc(SQUID_TCP_SO_RCVBUF);
     sslState->client.buf = xmalloc(SQUID_TCP_SO_RCVBUF);
-    comm_add_close_handler(sslState->server.fd,
-	sslServerClosed,
-	sslState);
-    comm_add_close_handler(sslState->client.fd,
-	sslClientClosed,
-	sslState);
+    comm_add_close_handler(sslState->server.fd, sslServerClosed, sslState);
+    comm_add_close_handler(sslState->client.fd, sslClientClosed, sslState);
     commSetTimeout(sslState->client.fd,
-	Config.Timeout.lifetime,
-	sslTimeout,
-	sslState);
+	Config.Timeout.lifetime, sslTimeout, sslState);
     commSetTimeout(sslState->server.fd,
-	Config.Timeout.connect,
-	sslTimeout,
-	sslState);
-    peerSelect(request,
-	NULL,
-	sslPeerSelectComplete,
-	sslState);
+	Config.Timeout.connect, sslTimeout, sslState);
+    peerSelect(request, NULL, sslPeerSelectComplete, sslState);
     /*
      * Disable the client read handler until peer selection is complete
      * Take control away from client_side.c.
@@ -510,12 +455,8 @@
     memset(&flags, '\0', sizeof(flags));
     memBufDefInit(&mb);
     memBufPrintf(&mb, "CONNECT %s HTTP/1.0\r\n", sslState->url);
-    httpBuildRequestHeader(sslState->request,
-	sslState->request,
-	NULL,			/* StoreEntry */
-	&hdr_out,
-	sslState->client.fd,
-	flags);			/* flags */
+    httpBuildRequestHeader(sslState->request, sslState->request, NULL,	/* StoreEntry */
+	&hdr_out, sslState->client.fd, flags);	/* flags */
     packerToMemInit(&p, &mb);
     httpHeaderPackInto(&hdr_out, &p);
     httpHeaderClean(&hdr_out);
@@ -526,9 +467,7 @@
     sslState->client.len = mb.size;
     memBufClean(&mb);
     commSetTimeout(sslState->server.fd,
-	Config.Timeout.read,
-	sslTimeout,
-	sslState);
+	Config.Timeout.read, sslTimeout, sslState);
     sslSetSelect(sslState);
 }
 
@@ -572,12 +511,8 @@
     }
 #endif
     hierarchyNote(&sslState->request->hier,
-	fs->peer ? fs->code : DIRECT,
-	sslState->host);
+	fs->peer ? fs->code : DIRECT, sslState->host);
     commConnectStart(sslState->server.fd,
-	sslState->host,
-	sslState->port,
-	sslConnectDone,
-	sslState);
+	sslState->host, sslState->port, sslConnectDone, sslState);
 }
-#undef SSL_C
\ No newline at end of file
+#undef SSL_C
